Bug 50666 - JMS support for durable subscriptions
JMS support for durable subscriptions
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
unspecified
All All
: P3 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-01-27 01:48 UTC by Christoph Jahn
Modified: 2011-03-18 07:36 UTC (History)
0 users



Attachments
Patch to support durable subscriptions to JMS Subscriber Sampler (10.55 KB, patch)
2011-01-27 01:48 UTC, Christoph Jahn
Details | Diff
Patch to support durable subscriptions to JMS Subscriber Sampler (10.55 KB, patch)
2011-01-29 02:10 UTC, Christoph Jahn
Details | Diff
Screenshot of JMS Subscriber sampler (8.97 KB, image/png)
2011-01-29 02:11 UTC, Christoph Jahn
Details
Patch to support durable subscriptions to JMS Subscriber Sampler (v3) (10.65 KB, patch)
2011-03-15 03:16 UTC, Christoph Jahn
Details | Diff
Addendum to patch v3 with component_reference.xml (1.22 KB, patch)
2011-03-18 01:39 UTC, Christoph Jahn
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Jahn 2011-01-27 01:48:51 UTC
Created attachment 26559 [details]
Patch to support durable subscriptions to JMS Subscriber Sampler

Here is a patch that adds support for durable subscriptions to the JMS Subscriber Sampler.

It was created against trunk as of yesterday morning (revision 1063734).

This is my very first contribution of this kind, and although I have spent quite some time going through various documentation, I may well have missed some guideline.
Comment 1 Sebb 2011-01-27 07:23:19 UTC
Thanks!

Patch looks generally OK from a visual inspection. 

It would be helpful to also have a patch for the documentation, i.e. component_reference.xml, which explains what the new field does.

BTW, the getProperty() and setProperty() methods have versions which provide defaults. The get default can be used to ensure the value is not null.
The set default is useful to ensure that the property is not added to JMX files if it is empty. Obviously the same defaults must be used!

We try to use this for new properties, otherwise the JMX files keep growing.

No need to update the patch - that can be fixed later.
Comment 2 Christoph Jahn 2011-01-29 02:10:05 UTC
Created attachment 26573 [details]
Patch to support durable subscriptions to JMS Subscriber Sampler

Revised patch:
- updated component_reference.xml
- uses setProperty() with default
Comment 3 Christoph Jahn 2011-01-29 02:11:51 UTC
Created attachment 26574 [details]
Screenshot of JMS Subscriber sampler

Shows the "Durable Subscription ID" field
Comment 4 Sebb 2011-02-02 18:22:46 UTC
(In reply to comment #2)
> Created an attachment (id=26573) [details]
> Patch to support durable subscriptions to JMS Subscriber Sampler
> 
> Revised patch:
> - updated component_reference.xml
> - uses setProperty() with default

The patch file is identical to the previous one - wrong file attached?
Comment 5 Christoph Jahn 2011-03-15 03:16:01 UTC
Created attachment 26772 [details]
Patch to support durable subscriptions to JMS Subscriber Sampler (v3)

Sorry for the mess and the delay. This patch should hopefully be ok now
Comment 6 Sebb 2011-03-17 22:34:55 UTC
Thanks, the patch fixes the JMX file defaults.

Still no sign of a patch for component_reference.xml however.

If you have done the work, please attach a separate patch containing just that.
Comment 7 Christoph Jahn 2011-03-18 01:39:28 UTC
Created attachment 26784 [details]
Addendum to patch v3 with component_reference.xml

And here the missing component_reference.xml. Thanks for catching that!
Comment 8 Sebb 2011-03-18 07:36:46 UTC
Thanks, committed:

URL: http://svn.apache.org/viewvc?rev=1082871&view=rev
Log:
Bug 50666 - JMSSubscriber: support for durable subscriptions